#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf xrdb-1.0.9.tar.bz2
    cd xrdb-1.0.9
    ./configure --prefix=/usr --disable-silent-rules
    make XRDB_LIBS='-lX11 -Wl,-Bstatic -lXmuu -Wl,-Bdynamic'
    strip -R .note -R .comment xrdb
    mkdir -p ../xrdb/bin
    cp xrdb ../xrdb/bin/
    cd ..
    rm -rf xrdb-1.0.9
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
